(ns bones.core
  (:use compojure.core)
  (:require [compojure.route :as route]
             [immutant.web :as immutant])
  (:gen-class))


(defn handler
  "Comment"
  []
  "<h1>Hello World</h1>")

(defroutes app
  "The router."
  (GET "/" [] (handler))
  (route/not-found
       "<h1>Page not found</h1>"))

(defn -main
  "Start the server"
  [& args]
  (immutant/run app {:host "localhost" :port 8080 :path "/"}))
